using Windows.Networking.Sockets;

namespace Plane.Communication
{
    /// <summary>
    /// 提供使用 <see cref="StreamSocket"/> 对象进行通信的能力。这是一个抽象类。
    /// </summary>
    public abstract class StreamSocketConnection : StreamConnection
    {
        protected StreamSocket _socket;

        protected StreamSocketConnection()
        {
        }

        public override void Close()
        {
            base.Close();
            _socket?.Dispose();
        }
    }
}
